summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2019-10-07 16:26:23 +0200
committerManuel Rüger <mrueg@gentoo.org>2019-10-07 16:28:13 +0200
commit61985aca9c332576ed6550a6401b056bf81a6ae8 (patch)
tree1fbc3ce72679e035a905cf5cad43810b6f09f00e /www-apps
parentmedia-libs/libprojectm: Moved virtual/pkgconfig to BDEPEND (diff)
downloadgentoo-61985aca9c332576ed6550a6401b056bf81a6ae8.tar.gz
gentoo-61985aca9c332576ed6550a6401b056bf81a6ae8.tar.bz2
gentoo-61985aca9c332576ed6550a6401b056bf81a6ae8.zip
www-apps/hugo: Use -mod vendor
Package-Manager: Portage-2.3.76, Repoman-2.3.16 Signed-off-by: Manuel Rüger <mrueg@gentoo.org>
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/hugo/hugo-0.48.ebuild4
1 files changed, 2 insertions, 2 deletions
diff --git a/www-apps/hugo/hugo-0.48.ebuild b/www-apps/hugo/hugo-0.48.ebuild
index edcdb92b1ea..91e9464ffc8 100644
--- a/www-apps/hugo/hugo-0.48.ebuild
+++ b/www-apps/hugo/hugo-0.48.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -87,7 +87,7 @@ RESTRICT="test"
src_compile() {
pushd src/${EGO_PN} || die
- GOPATH="${S}" go install -v -ldflags "-X ${EGO_PN}/hugolib.CommitHash=${GIT_COMMIT}" $(usex sass "-tags extended" "") || die
+ GOPATH="${S}" go install -mod vendor -v -ldflags "-X ${EGO_PN}/hugolib.CommitHash=${GIT_COMMIT}" $(usex sass "-tags extended" "") || die
popd || die
bin/hugo gen man || die
bin/hugo gen autocomplete --completionfile hugo || die